#ifndef MAKESEQ_H
#define MAKESEQ_H

#include "mbed.h"
#include "string"
#define CODE_LENGTH 100
#define ARRAY_EREMENT 10


class MakeSequencer
{
    public:
    MakeSequencer(FILE *fp);
    
    bool FileOpen();
    void getGcode(int _row,int aSize,int* _array);
    bool ReadGcode();
    int  getGcodeSize();
    
    private:
    char   _buf[256];
    int    _data[ARRAY_EREMENT][CODE_LENGTH];
    int    _codesize;
    
    int    _tempnum[ARRAY_EREMENT];
    int    _ele;
    char   _element[ARRAY_EREMENT][CODE_LENGTH];
    char   _char;
    int    _count;
    bool   _check[ARRAY_EREMENT][CODE_LENGTH];
    
    LocalFileSystem *_local;
    FILE *_fp;
};

#endif
